JGraph X 1.3.0.0

## com.mxgraph.view
Class mxSpaceManager

    java.lang.Object
      com.mxgraph.util.mxEventSource
          com.mxgraph.view.mxSpaceManager

    public class mxSpaceManager

extends mxEventSource

Nested Class Summary

Nested classes/interfaces inherited from class com.mxgraph.util.mxEventSource
`mxEventSource.mxIEventListener`

Field Summary
`protected boolean` `enabled` Optional string that specifies the value of the attribute to be passed to mxCell.is to check if the rule applies to a cell.
`protected boolean` `extendParents` Optional string that specifies the attributename to be passed to mxCell.is to check if the rule applies to a cell.
`protected mxGraph` `graph` Defines the type of the source or target terminal.
`protected mxEventSource.mxIEventListener` `resizeHandler`
`protected boolean` `shiftDownwards` Optional string that specifies the attributename to be passed to mxCell.is to check if the rule applies to a cell.
`protected boolean` `shiftRightwards` Optional string that specifies the attributename to be passed to mxCell.is to check if the rule applies to a cell.

Fields inherited from class com.mxgraph.util.mxEventSource
`eventListeners, eventsEnabled, eventSource`

Constructor Summary
`mxSpaceManager(mxGraph graph)`

Method Summary
`protected void` `cellResized(java.lang.Object cell)`
`protected void` `cellsResized(java.lang.Object[] cells)`
`void` `destroy()`
`protected java.lang.Object[]` `getCellsToShift(mxCellState state)`
`mxGraph` `getGraph()`
`boolean` `isCellIgnored(java.lang.Object cell)`
`boolean` `isCellShiftable(java.lang.Object cell)`
`boolean` `isEnabled()`
`boolean` `isExtendParents()`
`boolean` `isShiftDownwards()`
`boolean` `isShiftRightwards()`
`void` `setEnabled(boolean value)`
`void` `setExtendParents(boolean extendParents)`
`void` `setGraph(mxGraph graph)`
`void` `setShiftDownwards(boolean shiftDownwards)`
`void` `setShiftRightwards(boolean shiftRightwards)`
`protected void` `shiftCell(java.lang.Object cell, double dx, double dy, double x0, double y0, double right, double bottom, double fx, double fy, boolean extendParent)`

Methods inherited from class com.mxgraph.util.mxEventSource
`addListener, fireEvent, fireEvent, getEventSource, isEventsEnabled, removeListener, removeListener, setEventsEnabled, setEventSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### graph

    protected mxGraph graph

  Defines the type of the source or target terminal. The type is a string passed to mxCell.is to check if the rule applies to a cell.

### enabled

    protected boolean enabled

  Optional string that specifies the value of the attribute to be passed to mxCell.is to check if the rule applies to a cell.

### shiftRightwards

    protected boolean shiftRightwards

  Optional string that specifies the attributename to be passed to mxCell.is to check if the rule applies to a cell.

### shiftDownwards

    protected boolean shiftDownwards

  Optional string that specifies the attributename to be passed to mxCell.is to check if the rule applies to a cell.

### extendParents

    protected boolean extendParents

  Optional string that specifies the attributename to be passed to mxCell.is to check if the rule applies to a cell.

### resizeHandler

    protected mxEventSource.mxIEventListener resizeHandler

Constructor Detail

### mxSpaceManager

    public mxSpaceManager(mxGraph graph)

Method Detail

### isCellIgnored

    public boolean isCellIgnored(java.lang.Object cell)

### isCellShiftable

    public boolean isCellShiftable(java.lang.Object cell)

### isEnabled

    public boolean isEnabled()

  Returns:
    the enabled

### setEnabled

    public void setEnabled(boolean value)

  Parameters:
    `value` - the enabled to set

### isShiftRightwards

    public boolean isShiftRightwards()

  Returns:
    the shiftRightwards

### setShiftRightwards

    public void setShiftRightwards(boolean shiftRightwards)

  Parameters:
    `shiftRightwards` - the shiftRightwards to set

### isShiftDownwards

    public boolean isShiftDownwards()

  Returns:
    the shiftDownwards

### setShiftDownwards

    public void setShiftDownwards(boolean shiftDownwards)

  Parameters:
    `shiftDownwards` - the shiftDownwards to set

### isExtendParents

    public boolean isExtendParents()

  Returns:
    the extendParents

### setExtendParents

    public void setExtendParents(boolean extendParents)

  Parameters:
    `extendParents` - the extendParents to set

### getGraph

    public mxGraph getGraph()

  Returns:
    the graph

### setGraph

    public void setGraph(mxGraph graph)

  Parameters:
    `graph` - the graph to set

### cellsResized

    protected void cellsResized(java.lang.Object[] cells)

### cellResized

    protected void cellResized(java.lang.Object cell)

### shiftCell

    protected void shiftCell(java.lang.Object cell,
                             double dx,
                             double dy,
                             double x0,
                             double y0,
                             double right,
                             double bottom,
                             double fx,
                             double fy,
                             boolean extendParent)

### getCellsToShift

    protected java.lang.Object[] getCellsToShift(mxCellState state)

### destroy

    public void destroy()

JGraph X 1.3.0.0

Copyright (c) 2008 Gaudenz Alder. All rights reserved.